DIFF(1)

NAMN
diff - jämför filer rad för rad

SYNOPSIS
diff [FLAGGA]... FILER

BESKRIVNING
Jämför FILER rad för rad.

Obligatoriska argument till långa flaggor är obligatoriska även för de korta.

--normal
    Skriv ut en normal diff (standard).

-q, --brief
    Rapportera endast när filer skiljer sig.

-s, --report-identical-files
    Rapportera om två filer är lika.

-c, -C ANT, --context[=ANT]
    Skriv ANT (3 som standard) rader kopia av sammanhang.

-u, -U ANT, --unified[=ANT]
    Skriv ut ANT (3 som standard) rader med sammanslagen omgivning.

-e, --ed
    Skriv ut ett ed(1)-skript.

-n, --rcs
    Skriv ut skillnader i RCS-format.

-y, --side-by-side
    Skriv ut i två kolumner.

-W, --width=ANT
    skriv ut högst ANT (130 som standard) kolumner

--left-column
    Skriv endast ut gemensamma raders vänstra kolumn.

--suppress-common-lines
    Skriv inte ut gemensamma rader.

-p, --show-c-function
    Visa vilken C-funktion varje rad finns i.

-F, --show-function-line=RU
    Visa den senaste raden som matchar RU.

--label ETIKETT
    Använd ETIKETT istället för filnamn och tidsstämpel (kan upprepas).

-t, --expand-tabs
    Expandera tabulatorer till blanksteg i utdata.

-T, --initial-tab
    Justera tabulatorer genom att skjuta in en tabulator.

--tabsize=ANT
    Tabulatorstopp var N:e (8 som standard) kolumn.

--suppress-blank-empty
    Undertryck blanka eller tabulatorer före tomma utrader.

-l, --paginate
    Skicka utdata till pr(1) för paginering.

-r, --recursive
    Jämför underkataloger som hittas rekursivt.

--no-dereference
    Följ inte symboliska länkar.

-N, --new-file
    Behandla saknade filer som tomma.

--unidirectional-new-file
    Behandla saknade förstafiler som tomma.

--ignore-file-name-case
    Bortse från skiftläge när filnamn jämförs.

--no-ignore-file-name-case
    Ta hänsyn till skiftläge när filnamn jämförs.

-x, --exclude=MNS
    Ta inte med filer som matchar MNS.

-X, --exclude-from=FIL
    Uteslut filer som matchar något mönster i FIL.

-S, --starting-file=FIL
    Börja med FIL när kataloger jämförs.

--from-file=FIL1
    Jämför FIL1 med alla operander; FIL1 kan vara en katalog.

--to-file=FIL2
    Jämför alla operander med FIL2; FIL2 kan vara en katalog.

-i, --ignore-case
    Bortse från skillnader i skiftläge i filinnehåll.

-E, --ignore-tab-expansion
    Ignorera ändringar på grund av tabulatorexpansion.

-Z, --ignore-trailing-space
    Ignorera alla blanktecken i slutet av raden.

-b, --ignore-space-change
    Ignorera ändringar i antalet blanka.

-w, --ignore-all-space
    Ignorera alla blanktecken.

-B, --ignore-blank-lines
    Bortse från ändringar där raderna är helt blanka.

-I, --ignore-matching-lines=RU
    Bortse från ändringar där alla rader matchar RU.

-a, --text
    Betrakta alla filer som text.

--strip-trailing-cr
    Tag bort avslutande vagnreturer i indata.

-D, --ifdef=NAMN
    Skriv sammanslagen fil med skillnader inom ”#ifdef NAMN”.

--GTYPE-group-format=GFMT
    Formatera GTYP-ingrupper med GFMT.

--line-format=RFMT
    Formatera alla inrader med RFMT.

--LTYPE-line-format=RFMT
    Formatera RTYP-inrader med RFMT.

    Dessa formatflaggor gör det möjligt att finjustera utskriften från

    diff, generaliserande -D/--ifdef.

RTYP är ”old”, ”new” eller ”unchanged”.
    GTYP är RTYP eller ”changed”.

    GFMT (endast) kan innehålla:

%<  rader från FIL1

%>  rader från FIL2

%=  gemensamma rader i FIL1 och FIL2

%[-][BREDD][.[PREC]]{doxX}BOKSTAV
    printf-lik spec. för BOKSTAV

    BOKSTÄVER är enligt följande för ny grupp, gemen för gammal grupp:

F   första radnumret

L   sista radnumret

N   antal rader = L-F+1

E   F-1

M   L+1

%(A=B?T:E)
    om A är lika med B då T annars E

    RFMT (endast) kan innehålla:

%L  radinnehåll

%l  radinnehåll exklusive avslutande nyrad

%[-][BREDD][.[PREC]]{doxX}n
    printf-stil spec. för inradnummer

    Både GFMT och RFMT kan innehålla:

%%  %

%c'C'
    det ensamma tecknet C

%c'\OOO'
    tecknet med oktalkod OOO

C   tecknet C (övriga tecken representerar sig själva)

-d, --minimal
    Arbeta hårt för att hitta en mindre mängd av ändringar.

--horizon-lines=ANT
    Spara ANT rader av gemensamt prefix och suffix.

--speed-large-files
    Antag stora filer och små spridda ändringar.

--color[=NÄR]
    Färgad utdata; NÄR kan vara ”never”, ”always” eller ”auto”; bara --color betyder --color='auto'.

--palette=PALETT
    Färgerna att använda när --color är aktivt; PALETT är en kolonseparerad lista av terminfoförmågor.

--help
    visa denna hjälp och avsluta

-v, --version
    visa versionsinformation och avsluta

FILER är ”FIL1 FIL2” eller ”KAT1 KAT2” eller ”KAT FIL” eller ”FIL KAT”. Om --from-file eller --to-file är angivet finns det inga begränsningar på FILER. Om en FIL är ”-”, läs standard in. Slutsstatus är 0 om indata är lika, 1 om olika, 2 vid problem.

UPPHOVSMAN
Skrivet av Paul Eggert, Mike Haertel, David Hayes, Richard Stallman och Len Tower.

RAPPORTERA FEL
Rapportera fel till: <bug-diffutils@gnu.org>; rapportera synpunkter på översättningen till: <tp-sv@listor.tp-sv.se>.
GNU diffutils hemsida: <https://www.gnu.org/software/diffutils/>
Allmän hjälp med att använda GNU-program: <https://www.gnu.org/gethelp/>

COPYRIGHT
Copyright © 2025 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE ÄVEN
wdiff(1), cmp(1), diff3(1), sdiff(1), patch(1)

Den fullständiga dokumentationen för diff underhålls som en Texinfo-manual. Om programmen info och diff är ordentligt installerade på ditt system, bör kommandot

    info diff

ge dig tillgång till den kompletta manualen.

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.